#ifndef  _PDR_COMPLEX_H_
#define  _PDR_COMPLEX_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef struct Complex {
    float real;
    float image;
} Complex_t;


float     ComplexAbs(Complex_t c);
Complex_t ComplexAdd(Complex_t a, Complex_t b);
Complex_t ComplexSub(Complex_t a, Complex_t b);
Complex_t ComplexMul(Complex_t a, Complex_t b);
Complex_t ComplexPow(Complex_t c, int n);

#ifdef __cplusplus
}
#endif

#endif